------------------------------------------------------------------------------------
--Name：            201014[简体征服][活动脚本]全球感恩节活动-副NPC
--Creator:      江宇君
--Created:     2020-10-14
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>85

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(247,204)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无



local hero = CppScriptMgr:QueryHero()
hero:SetDir(4)
-- hero:SetCtrlMapView(1)
hero:SetPos(252,207)
local effectDX = CppScriptMgr:AddEffect("2020ganenjieDX",247,198);
local playerWarRooster = CppScriptMgr:AddSimplePlayer(34680,256,204, "GreatCourage", 4003000001,1)
playerWarRooster:SetZoomPercent(100)
local playerLinKen = CppScriptMgr:AddSimplePlayer(1051260,247,204, "FarmerLincoln", 400300002,1);
playerLinKen:SetZoomPercent(130);

CppScriptMgr:SetDarkScreen(2000);
CppScriptMgr:SetLightScreen(2000);
CppScriptMgr:WaitMilSec(2000);

-- playerWarRooster:SetDir(4)
playerWarRooster:AddEffect("zf2-e236")

CppScriptMgr:NpcCallOut("The Great Courage has been fully charged and ready to start up. The functions of Star Rooster is under testing now. Please be patient...\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27389", 150, 430, "FarmerLincoln", 250, 655)
-- CppScriptMgr:WaitMilSec(3000)

playerWarRooster:Say("Charging tested...\nReady to reboot...\nTesting completed...\n#06#06",3000)
playerWarRooster:AddEffect("zf2-e123")
CppScriptMgr:WaitMilSec(3000)
-- playerWarRooster:Say("进入重启状态",2000)
-- playerWarRooster:AddEffect("zf2-e123")
-- CppScriptMgr:WaitMilSec(2000)
-- playerWarRooster:Say("功能检测完整",2000)
-- playerWarRooster:AddEffect("zf2-e123")
-- CppScriptMgr:WaitMilSec(2000)
playerWarRooster:Say("CPU works normally...\nStart waking up...\nDididi...\n#37#37",3000)
playerWarRooster:AddEffect("zf2-e123")
CppScriptMgr:WaitMilSec(3000)
-- playerWarRooster:Say("开始苏醒",2000)
-- playerWarRooster:AddEffect("zf2-e123")
-- CppScriptMgr:WaitMilSec(2000)
-- playerWarRooster:Say("滴滴滴",2000)
-- playerWarRooster:AddEffect("zf2-e123")
-- CppScriptMgr:WaitMilSec(2000)


CppScriptMgr:NpcCallOut("The Great Courage has been started up. It turns out that Officer Rooster is the arsonist. Damn it! He must pay for it!\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27389", 150, 430, "FarmerLincoln", 250, 655)

playerWarRooster:Say("Was it... you... who woke me up?#32#32",3000)
playerWarRooster:AddEffect("zf2-e123")
CppScriptMgr:WaitMilSec(3000)
hero:Say("Yes! I need you to help me find the arsonist, Officer Rooster.",3000)
CppScriptMgr:WaitMilSec(3000)
playerWarRooster:Say("Yes, master.#17#17",2000)
playerWarRooster:AddEffect("zf2-e123")
CppScriptMgr:WaitMilSec(2000)
playerWarRooster:Say("Start up the testing aura.",2000)
CppScriptMgr:WaitMilSec(2000)
playerWarRooster:AddEffect("Attack35r")
playerWarRooster:Say("Start testing...\nThe place on fire...\nStart analysing...",3000)
playerWarRooster:AddEffect("zf2-e123")
CppScriptMgr:WaitMilSec(2000)
playerWarRooster:Say("#42#42#42\nCriminal located!",2000)

playerWarRooster:AddEffect("accession6")
CppScriptMgr:WaitMilSec(1500)
playerWarRooster:Say("Officer Rooster saw people eating turkey, and got so angry that he set the fire on purpose. I can take you to find him in the sky.",1500)
-- CppScriptMgr:SetDarkScreen(3000);
-- CppScriptMgr:SetLightScreen(3000);
CppScriptMgr:WaitMilSec(3000)
